const InfoPanelTemplate = require("./InfoPanelTemplate");
const blessed = require("blessed");

module.exports = class extends InfoPanelTemplate {
    constructor(options, textContent, imageSrc, tracks) {
        super(options, textContent, imageSrc, tracks);

        this.playButton = blessed.button({
            parent: this.additionalContentBox,
            content: "Play",
            mouse: true,
            keys: true,
            shrink: true,
            name: "submit",
            style: {
                bg: "blue",
                focus: {
                    bg: "#BD3017"
                },
                hover: {
                    bg: "red"
                }
            }
        });

        this.playButton.on("press", () => {
            this.communicationEvents.fire({
                type: this.communicationEventTypes.PLAY_TRACKS,
                tracks: [...tracks]
            });
            this.tracksList.focus();
        });

    }
};